%define module HTML_QuickForm
Summary: The PEAR::HTML_QuickForm package provides methods for creating, validating, processing HTML forms.
Name:    php-pear-%{module}
Version: 3.2.5
Release: 0.2.%{mysig}
License: PHP License
Group:   Development/Languages
URL:     http://pear.php.net/package/HTML_QuickForm
Source0: %{module}-%{version}.tgz
Requires: php-pear-HTML_Common
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The HTML_QuickForm package provides methods for dynamically create, validate and render HTML forms.

Features:
* More than 20 ready-to-use form elements.
* XHTML compliant generated code.
* Numerous mixable and extendable validation rules.
* Automatic server-side validation and filtering.
* On request javascript code generation for client-side validation.
* File uploads support.
* Total customization of form rendering.
* Support for external template engines (ITX, Sigma, Flexy, Smarty).
* Pluggable elements, rules and renderers extensions.

%prep
%setup -q -n %{module}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d %{buildroot}%{_datadir}/pear/HTML
cp -a Quick* %{buildroot}%{_datadir}/pear/HTML

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs
%{_datadir}/pear/HTML/QuickForm*

%changelog
* Thu Mar 09 2006 Milan Kerslager <kerslage@linux.cz> 3.2.5-0.1.ker.rhel4
- Requires: php-pear-HTML_Common
- do not own /usr/share/pear/HTML

* Thu Mar 09 2006 Milan Kerslager <kerslage@linux.cz> 3.2.5-0.ker.rhel4
- update, rebuild

* Thu Oct  7 2004 Robin Rosenberg <robin.rosenberg@dewire.com> pear-HTML_Quickforms
- Initial build.
